/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<login.h>)
#  include <login.h>
#endif
#if __has_include(<registration.h>)
#  include <registration.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_login()
{
    qmlRegisterModule("org.kde.neochat.login", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<LoginHelper>("org.kde.neochat.login", 254);
    qmlRegisterTypesAndRevisions<Registration>("org.kde.neochat.login", 254);
    qmlRegisterEnum<Registration::Status>("Registration::Status");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.login", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatloginRegistration("org.kde.neochat.login", qml_register_types_org_kde_neochat_login);
